.stretchWrapInfo .form-instructions {
    margin-top: -10px;
}

.stretchWrapInfo .stretch-wrap-form-content {
    display: flex;
    gap: 50px;
}

.stretchWrapInfo .stretch-wrap-form-left , .stretchWrapInfo .stretch-wrap-form-right {
    width: 50%;
}

.stretchWrapInfo .label {
    font-size: 18px;
    font-weight: 500;
    text-wrap: nowrap;
}

.stretchWrapInfo .form-heading {
    text-decoration: underline;
    font-weight: 600;
    font-size: 20px;
    margin-bottom: 10px;
}

.stretchWrapInfo .field {
    margin-bottom: 15px;
}

.stretchWrapInfo .field p {
    font-size: initial !important;
    color: initial !important;
    margin-top: 0 !important;
}

.stretchWrapInfo input[type=text], .stretchWrapInfo input[type=email] {
    border-radius: 10px !important;
    background: #efefef;
    border: 0 !important;
}

.stretchWrapInfo select {
    width: 100%;
    border-radius: 10px;
    border: 1px solid #000;
}

.stretchWrapInfo .field.quantity {
    display: flex;
    align-items: center;
    gap: 20px;
}

.stretchWrapInfo .field.quantity .control {
    display: flex;
    align-items: center;
    gap: 15px;
}

.stretchWrapInfo .field.quantity .control #quantity-error {
    padding-top: 10px !important;
    line-height: 17px;
    max-width: 100%;
    background: none;
}

.stretchWrapInfo .base-color-selected {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
    min-height: 46px;
    padding: 0 40px 0 12px;
    border: 1px solid #000;
    border-radius: 12px;
    cursor: pointer;
    position: relative;
}

.stretchWrapInfo .base-color-selected::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 9px;
    width: 8px;
    height: 8px;
    border-right: 1.5px solid #555;
    border-bottom: 1.5px solid #555;
    transform: translateY(-65%) rotate(45deg);
}

.stretchWrapInfo .base-color-select.open .base-color-selected::after {
    transform: translateY(-35%) rotate(-135deg);
}

.stretchWrapInfo .base-color-list {
    display: none;
    position: absolute;
    top: calc(100% + 2px);
    width: 100%;
    background: #fff;
    border: 1px solid #000;
    max-height: 245px;
    overflow-y: auto;
    z-index: 999;
}

.stretchWrapInfo .base-color-select.open .base-color-list {
    display: block;
}

.stretchWrapInfo .base-color-option {
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 5px 12px;
    cursor: pointer;
}

.stretchWrapInfo .base-color-option:hover {
    background: #f5f5f5;
}

.stretchWrapInfo .base-color-image {
    width: 30px;
    height: 30px;
    border: 1px solid #000;
}

.stretchWrapInfo .base-color-name {
    font-size: 16px;
}

.stretchWrapInfo .print-direction-swatch-options {
    display: flex;
    gap: 16px;
}

.stretchWrapInfo .print-direction-swatch-item {
    display: inline-flex;
    flex-direction: column;
    gap: 10px;
    cursor: pointer;
    text-align: center;
}

.stretchWrapInfo .print-direction-swatch-item input[type="radio"] {
    position: absolute;
}

.stretchWrapInfo .print-direction-swatch-label {
    font-weight: 500;
}

.stretchWrapInfo .print-direction-swatch-image {
    position: relative;
    background: #fff;
    display: inline-flex;
    align-items: center;
}

.stretchWrapInfo .print-direction-swatch-image img {
    width: 150px;
    height: 150px;
    border: 1px solid #000000;
}

.stretchWrapInfo .print-direction-swatch-item.selected .print-direction-swatch-image img, .stretchWrapInfo .print-direction-swatch-item input[type="radio"]:checked + .print-direction-swatch-image img {
    border: 3px solid #8bc53f;
}

.stretchWrapInfo .print-direction-swatch-item.selected .print-direction-swatch-image::after, .stretchWrapInfo .print-direction-swatch-item input[type="radio"]:checked + .print-direction-swatch-image::after {
    content: "\2713";
    position: absolute;
    top: 2px;
    right: 1px;
    width: 20px;
    height: 20px;
    background: #8bc53f;
    color: #ffffff;
    font-size: 13px;
    line-height: 17px;
    text-align: center;
    font-weight: 700;
}

.stretchWrapInfo .field.first-name .control #first-name-error, .stretchWrapInfo .field.last-name .control #last-name-error, .stretchWrapInfo .field.email .control #email-error {
    max-width: 100%;
}

.stretchWrapInfo .field.quantity #quantity {
    width: 50px;
    background: none;
    border: 1px solid #000 !important;
}

.stretchWrapInfo .control.art-file-options {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.stretchWrapInfo .control.art-file-options #art_file-error {
    background: none;
}

.stretchWrapInfo .art-file-options .option {
    display: flex;
    align-items: center;
    gap: 10px;
}

.stretchWrapInfo .art-file-options .option input[type="radio"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 24px;
    height: 24px;
    border: 1px solid #1a1a1a;
    border-radius: 6px;
    cursor: pointer;
    position: relative;
    background: #fff;
}

.stretchWrapInfo .art-file-options .option input[type="radio"]:checked::after {
    content: "";
    position: absolute;
    left: 7px;
    top: 3px;
    width: 8px;
    height: 14px;
    border: solid #7e9f3d;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
}

.stretchWrapInfo input[type=file] {
    display: none;
}

.stretchWrapInfo .file-upload-row {
    display: flex;
    gap: 10px;
    align-items: center;
}

.stretchWrapInfo .file-display {
    display: flex;
    align-items: center;
    gap: 10px;
}

.stretchWrapInfo .clear-file-btn {
    color: #ff0000;
    border: none;
    font-size: 25px;
    cursor: pointer;
    padding: 0;
}

.stretchWrapInfo .file-note {
    margin-top: 5px;
}

.stretchWrapInfo .error-message {
    font-size: 14px;
    margin-bottom: 15px;
}

.stretchWrapInfo .actions-toolbar {
    padding-top: 15px;
}

.stretchWrapInfo .upload-btn {
    flex-shrink: 0;
}

.stretchWrapInfo .field>input[type=checkbox]:checked+label:after {
    width: 18px;
    height: 18px;
    top: 3px;
    line-height: 16px;
}

.stretchWrapInfo .field>input[type=checkbox]+label:before {
    width: 18px;
    height: 18px;
    top: 3px;
    line-height: 16px;
}

/* Mobile View */
@media (max-width: 768px) {
    .stretchWrapInfo .stretch-wrap-form-left {
        width: 100% !important;
    }

    .stretchWrapInfo .stretch-wrap-form-right {
        display: none;
    }

    .stretchWrapInfo .print-direction-swatch-options {
        flex-wrap: wrap;
    }

    .stretchWrapInfo .file-name {
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .stretchWrapInfo .field>input[type=checkbox]:checked+label:after {
        margin: 0px 0 0;
    }
}

/* iPad View (Portrait) */
@media only screen and (min-width: 768px) and (max-width: 1024px) and (orientation: portrait) {
    .stretchWrapInfo .stretch-wrap-image img {
        width: 320px;
        height: 1595px;
    }

    .stretchWrapInfo .print-direction-swatch-options {
        flex-wrap: wrap;
    }
}

/* iPad View (Landscape) */
@media only screen and (min-width: 1024px) and (max-width: 1366px) and (orientation: landscape) {
    .stretchWrapInfo .stretch-wrap-image img {
        width: 450px;
        height: 1579px;
    }

    .stretchWrapInfo .print-direction-swatch-options {
        flex-wrap: wrap;
    }
}